> ## Documentation Index
> Fetch the complete documentation index at: https://docs.estream.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Apex TeleMapper Weekly Submission Data for Roadshow



## OpenAPI

````yaml https://tmextapidev.estream.com/index.cfm/swagger post /payroll/apex_weeklyDataRoadshow
openapi: 3.0.0
info:
  description: Production server
  version: 1.0.0
  title: eStream API
servers:
  - url: https://tmextapi.estream.com/index.cfm
security: []
tags:
  - name: Authentication 1
  - name: Business
  - name: Employees
  - name: Onboarding
  - name: Orders
  - name: Payroll
  - name: Telemapper
paths:
  /payroll/apex_weeklyDataRoadshow:
    post:
      tags:
        - Payroll
      summary: Apex TeleMapper Weekly Submission Data for Roadshow
      operationId: getTimecardData
      parameters:
        - in: query
          schema:
            type: string
          description: ''
          required: true
          name: token
        - in: query
          schema:
            type: integer
          description: ''
          required: true
          name: telemapperEntryId
        - in: query
          schema:
            type: string
          description: Office ID to fetch data for
          required: false
          name: officeId
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                properties: {}
                type: object
              example:
                message: Data retrieved.
                code: 200
                success: true
                data:
                  - personLastName: Doe
                    clockType: IN
                    totalMin: 540
                    active: 1
                    personFirstName: John
                    clockOutUtc: 11/18/2025 5:00:00 PM
                    clockInUtc: 11/18/2025 8:00:00 AM

````